ALLEGRO_BITMAP_WRAP(3)

NAME

ALLEGRO_BITMAP_WRAP - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    typedef enum ALLEGRO_BITMAP_WRAP {

DESCRIPTION

Controls the how the pixel color is determined from a texture querying the texture coordinates are outside the usual bounds.

•   ALLEGRO_BITMAP_WRAP_DEFAULT - The default behavior. This corresponds to ALLEGRO_BITMAP_WRAP_REPEAT when using the primitives addon and ALLEGRO_BITMAP_WRAP_CLAMP otherwise.

•   ALLEGRO_BITMAP_WRAP_REPEAT - The texture coordinates get shifted to the opposite edge that they go past.

•   ALLEGRO_BITMAP_WRAP_CLAMP - The texture coordinates get clamped to the edges that they go past.

•   ALLEGRO_BITMAP_WRAP_MIRROR - The texture coordinates get mirrored across the edges that they go past.